{% extends 'base.html' %}

{% load django_bootstrap5 %}
{% block title %}
Planeks | Schemas
{% endblock %}
{% block content %}
<div class="container">
    <div class="row">
        <div class="col">
            <h2>Data schema</h2>
        </div>
        <div class="col text-end">
            {% bootstrap_button button_type="link" button_class="btn-success" content="Create" size=md href="/schema/" %}
        </div>
    </div>

    <table class="table table-bordered">
        <thead>
        <tr>
            <th scope="col">
                #
            </th>
            <th scope="col">
                Title
            </th>
            <th scope="col">
                Modified
            </th>
            <th scope="col">
                Actions
            </th>
        </tr>
        </thead>
        <tbody>
        {% for schema in page_obj %}

        <tr>
            <td scope="col">
                {{ forloop.counter }}
            </td>
            <td scope="col">
                <a href="{% url 'dataset-list' pk=schema.pk %}">
                    {{ schema.name }}
                </a>
            </td>
            <td scope="col">
                {{ schema.updated_at|date:'Y-m-d' }}
            </td>
            <td scope="col">
                <a href="{% url 'schema-detail' pk=schema.pk %}">Edit Schema</a>
                <a class="text-danger" href="{% url 'schema-delete' pk=schema.pk %}">Delete</a>
            </td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if page_obj.paginator.num_pages > 1 %}
    {% bootstrap_pagination page_obj url="/?page=1" size="sm" %}
    {% endif %}
</div>

{% endblock %}
